/workday-payroll | Type: Application | PCID required: Yes
Tools
| Tool | Description |
|---|---|
workday_payroll_delete_payrollinputs_by_id | Deletes an existing payroll input instance. |
workday_payroll_get_jobs | Retrieves a collection of jobs. |
workday_payroll_get_jobs_by_id | Retrieves a single job instance. |
workday_payroll_get_jobs_by_id_paygroup | Retrieves the pay group for a specified job ID. This method always returns 1 pay group. |
workday_payroll_get_jobs_by_id_paygroup_by_subresourceid | Retrieves a single pay group instance. |
workday_payroll_get_minimumwagerates | Retrieves a collection of minimum wage rates. |
workday_payroll_get_minimumwagerates_by_id | Retrieves a collection of minimum wage rates. |
workday_payroll_get_paygroupdetails | Retrieves a collection of pay group details. |
workday_payroll_get_paygroupdetails_by_id | Retrieves a single pay group detail instance. |
workday_payroll_get_paygroups | Retrieves a collection of pay groups. |
workday_payroll_get_paygroups_by_id | Retrieves a single pay group instance. |
workday_payroll_get_payrollinputs | Retrieves a collection of payroll inputs. At least 1 query parameter is required to get data. |
workday_payroll_get_payrollinputs_by_id | Retrieves a single payroll input instance. |
workday_payroll_get_taxrates | Retrieves a single or a collection of company SUI rates. |
workday_payroll_get_values_minimumwageratesgroup_countries | Retrieves a list of all countries available as query parameters in the /minimumWageRates endpoint. <b>Secured by:</b> Set Up: Payroll (Minimum Wages View) - CAN, Set Up: Payroll (Minimum Wages View) - USA, Set Up: Payroll Authority Minimum Wages View (Compensation functional area) <b>Scope:</b> CAN Payroll, Core Compensation, USA Payroll |
workday_payroll_get_values_minimumwageratesgroup_taxauthorities | Retrieves a list of tax authorities available for use as query parameters in the /minimumWageRates endpoint. <b>Secured by:</b> Set Up: Payroll (Minimum Wages View) - CAN, Set Up: Payroll (Minimum Wages View) - USA, Set Up: Payroll Authority Minimum Wages View (Compensation functional area) <b>Scope:</b> CAN Payroll, Core Compensation, USA Payroll |
workday_payroll_get_values_payrollinputsgroup_paycomponents | Retrieves instances that can be used as values for other endpoint parameters in this service. <b>Secured by:</b> Worker Data: Payroll Public API (Payroll Input) <b>Scope:</b> Core Payroll |
workday_payroll_get_values_payrollinputsgroup_positions | Retrieves instances that can be used as values for other endpoint parameters in this service. <b>Secured by:</b> Worker Data: Payroll Public API (Payroll Input) <b>Scope:</b> Core Payroll |
workday_payroll_get_values_payrollinputsgroup_runcategories | Retrieves instances that can be used as values for other endpoint parameters in this service. <b>Secured by:</b> Worker Data: Payroll Public API (Payroll Input) <b>Scope:</b> Core Payroll |
workday_payroll_get_values_payrollinputsgroup_worktags | Retrieves instances that can be used as values for other endpoint parameters in this service. <b>Secured by:</b> Worker Data: Payroll Public API (Payroll Input) <b>Scope:</b> Core Payroll |
workday_payroll_get_values_taxratesgroup_companyinstances | Retrieves instances that can be used as values for other endpoint parameters in this service. <b>Secured by:</b> Process: Tax Filing/W-2s (Run) - USA <b>Scope:</b> USA Payroll |
workday_payroll_get_values_taxratesgroup_stateinstances | Retrieves instances that can be used as values for other endpoint parameters in this service. <b>Secured by:</b> Process: Tax Filing/W-2s (Run) - USA <b>Scope:</b> USA Payroll |
workday_payroll_patch_payrollinputs_by_id | Partially updates an existing payroll input instance. |
workday_payroll_post_payrollinputs | Creates payroll inputs. |
workday_payroll_post_taxrates | Creates a single or a collection of Company SUI Rates. |
workday_payroll_delete_payrollinputs_by_id
Deletes an existing payroll input instance. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The Workday ID of the resource. |
workday_payroll_get_jobs
Retrieves a collection of jobs. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | integer | No | — | The maximum number of objects in a single response. The default is 20. The maximum is 100. |
offset | integer | No | — | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
workday_payroll_get_jobs_by_id
Retrieves a single job instance. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The Workday ID of the resource. |
workday_payroll_get_jobs_by_id_paygroup
Retrieves the pay group for a specified job ID. This method always returns 1 pay group. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The Workday ID of the resource. |
effective | string | No | — | The effective date of the pay group, using the date format yyyy-mm-dd. |
limit | integer | No | — | The maximum number of objects in a single response. The default is 20. The maximum is 100. |
offset | integer | No | — | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
workday_payroll_get_jobs_by_id_paygroup_by_subresourceid
Retrieves a single pay group instance. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The Workday ID of the resource. |
subresourceID | string | Yes | — | The Workday ID of the subresource. |
workday_payroll_get_minimumwagerates
Retrieves a collection of minimum wage rates. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
asOfDate | string | No | — | The minimum wage rates that are effective on the date specified using the yyyy-mm-dd format. |
country | string | No | — | The Workday ID of the country for the minimum wages rates. You can use a returned id from GET /values/minimumWageRatesGroup/countries. You can specify 1 country query parameter. Example: country=country. |
includeLocalTaxAuthorities | boolean | No | — | If true, returns minimum wage rates for local tax authorities, such as cities and counties, in addition to federal and state rates. If false (default), only returns federal and state minimum wage rates. |
limit | integer | No | — | The maximum number of objects in a single response. The default is 20. The maximum is 100. |
offset | integer | No | — | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
taxAuthority | any[] | No | — | The Workday ID of the payroll tax authority for the minimum wages rates. You can use a returned id from GET /values/minimumWageRatesGroup/taxAuthorities. You can specify 1 or more tax authority query parameters. Example: taxAuthority=taxAuthority1&taxAuthority=taxAuthority2. |
workday_payroll_get_minimumwagerates_by_id
Retrieves a collection of minimum wage rates. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The Workday ID of the resource. |
workday_payroll_get_paygroupdetails
Retrieves a collection of pay group details. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | integer | No | — | The maximum number of objects in a single response. The default is 20. The maximum is 100. |
offset | integer | No | — | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
runCategories | any[] | No | — | One or more Workday IDs of run categories for the pay group. You can use returned ids from GET /values/payrollInputsGroup/runCategories.You can specify 1 or more runCategories query parameters, example: runCategories=category1&runCategories=category2 |
workday_payroll_get_paygroupdetails_by_id
Retrieves a single pay group detail instance. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The Workday ID of the resource. |
workday_payroll_get_paygroups
Retrieves a collection of pay groups. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
country | string | No | — | The Workday ID of the country or territory of the pay group. You can use a returned country id from any of the payGroups endpoints in this Payroll API. |
limit | integer | No | — | The maximum number of objects in a single response. The default is 20. The maximum is 100. |
offset | integer | No | — | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
workday_payroll_get_paygroups_by_id
Retrieves a single pay group instance. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The Workday ID of the resource. |
workday_payroll_get_payrollinputs
Retrieves a collection of payroll inputs. At least 1 query parameter is required to get data. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
endDate | string | No | — | The end date filter which returns payroll inputs that are active on or before the end date, using the date format yyyy-mm-dd. |
limit | integer | No | — | The maximum number of objects in a single response. The default is 20. The maximum is 100. |
offset | integer | No | — | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
payComponent | any[] | No | — | The Workday ID of the pay component for the payroll input. You can use a returned id from GET /values/payrollInputsGroup/payComponents. |
startDate | string | No | — | The start date filter which returns payroll inputs that are active on or after the start date, using the date format yyyy-mm-dd. |
worker | any[] | No | — | The Workday ID of worker for the payroll input. You can use a returned id from GET /workers in the Staffing service. |
workday_payroll_get_payrollinputs_by_id
Retrieves a single payroll input instance. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The Workday ID of the resource. |
workday_payroll_get_taxrates
Retrieves a single or a collection of company SUI rates. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
company | string | No | — | The company reference ID or WID that represents 1 or more companies. Example: company=comp1&company=comp2&company=cb550da820584750aae8f807882fa79a |
effective | string | No | — | The effective date for the SUI rate, using the yyyy-mm-dd format. |
limit | integer | No | — | The maximum number of objects in a single response. The default is 20. The maximum is 100. |
offset | integer | No | — | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
payrollStateAuthorityTaxCode | string | No | — | The FIPS code or WID that represents 1 or more states. Example: payrollStateAuthorityTaxCode=06&payrollStateAuthorityTaxCode=3b3d378d5f4a48b8b3ac46fee0703226&payrollStateAuthorityTaxCode=48 |
workday_payroll_get_values_minimumwageratesgroup_countries
Retrieves a list of all countries available as query parameters in the /minimumWageRates endpoint. <b>Secured by:</b> Set Up: Payroll (Minimum Wages View) - CAN, Set Up: Payroll (Minimum Wages View) - USA, Set Up: Payroll Authority Minimum Wages View (Compensation functional area) <b>Scope:</b> CAN Payroll, Core Compensation, USA Payroll Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
country | string | No | — | The Workday ID of the country for the tax authorities. You can use a returned id from GET /values/minimumWageRatesGroup/countries. You can specify 1 country query parameter. Example: country=country. |
includeLocalTaxAuthorities | boolean | No | — | If true, returns local tax authorities, such as cities and counties, in addition to federal and state tax authorities. If false (default), only returns federal and state tax authorities. |
limit | integer | No | — | The maximum number of objects in a single response. The default and maximum is 1000. |
offset | integer | No | — | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
search | string | No | — | A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string. |
workday_payroll_get_values_minimumwageratesgroup_taxauthorities
Retrieves a list of tax authorities available for use as query parameters in the /minimumWageRates endpoint. <b>Secured by:</b> Set Up: Payroll (Minimum Wages View) - CAN, Set Up: Payroll (Minimum Wages View) - USA, Set Up: Payroll Authority Minimum Wages View (Compensation functional area) <b>Scope:</b> CAN Payroll, Core Compensation, USA Payroll Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
country | string | No | — | The Workday ID of the country for the tax authorities. You can use a returned id from GET /values/minimumWageRatesGroup/countries. You can specify 1 country query parameter. Example: country=country. |
includeLocalTaxAuthorities | boolean | No | — | If true, returns local tax authorities, such as cities and counties, in addition to federal and state tax authorities. If false (default), only returns federal and state tax authorities. |
limit | integer | No | — | The maximum number of objects in a single response. The default and maximum is 1000. |
offset | integer | No | — | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
search | string | No | — | A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string. |
workday_payroll_get_values_payrollinputsgroup_paycomponents
Retrieves instances that can be used as values for other endpoint parameters in this service. <b>Secured by:</b> Worker Data: Payroll Public API (Payroll Input) <b>Scope:</b> Core Payroll Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
endDate | string | No | — | The end date for the positions, using the date format yyyy-mm-dd. |
limit | integer | No | — | The maximum number of objects in a single response. The default and maximum is 1000. |
offset | integer | No | — | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
payComponent | string | No | — | The pay component for the worktags. You can use a returned id from GET/values/payrollInputsGroup/payComponents. |
search | string | No | — | A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string. |
startDate | string | No | — | The start date for the positions, using the date format yyyy-mm-dd. |
worker | string | No | — | The Workday ID of the worker. You can use a returned id from GET /workers in the Staffing service. |
workday_payroll_get_values_payrollinputsgroup_positions
Retrieves instances that can be used as values for other endpoint parameters in this service. <b>Secured by:</b> Worker Data: Payroll Public API (Payroll Input) <b>Scope:</b> Core Payroll Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
endDate | string | No | — | The end date for the positions, using the date format yyyy-mm-dd. |
limit | integer | No | — | The maximum number of objects in a single response. The default and maximum is 1000. |
offset | integer | No | — | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
payComponent | string | No | — | The pay component for the worktags. You can use a returned id from GET/values/payrollInputsGroup/payComponents. |
search | string | No | — | A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string. |
startDate | string | No | — | The start date for the positions, using the date format yyyy-mm-dd. |
worker | string | No | — | The Workday ID of the worker. You can use a returned id from GET /workers in the Staffing service. |
workday_payroll_get_values_payrollinputsgroup_runcategories
Retrieves instances that can be used as values for other endpoint parameters in this service. <b>Secured by:</b> Worker Data: Payroll Public API (Payroll Input) <b>Scope:</b> Core Payroll Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
endDate | string | No | — | The end date for the positions, using the date format yyyy-mm-dd. |
limit | integer | No | — | The maximum number of objects in a single response. The default and maximum is 1000. |
offset | integer | No | — | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
payComponent | string | No | — | The pay component for the worktags. You can use a returned id from GET/values/payrollInputsGroup/payComponents. |
search | string | No | — | A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string. |
startDate | string | No | — | The start date for the positions, using the date format yyyy-mm-dd. |
worker | string | No | — | The Workday ID of the worker. You can use a returned id from GET /workers in the Staffing service. |
workday_payroll_get_values_payrollinputsgroup_worktags
Retrieves instances that can be used as values for other endpoint parameters in this service. <b>Secured by:</b> Worker Data: Payroll Public API (Payroll Input) <b>Scope:</b> Core Payroll Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
endDate | string | No | — | The end date for the positions, using the date format yyyy-mm-dd. |
limit | integer | No | — | The maximum number of objects in a single response. The default and maximum is 1000. |
offset | integer | No | — | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
payComponent | string | No | — | The pay component for the worktags. You can use a returned id from GET/values/payrollInputsGroup/payComponents. |
search | string | No | — | A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string. |
startDate | string | No | — | The start date for the positions, using the date format yyyy-mm-dd. |
worker | string | No | — | The Workday ID of the worker. You can use a returned id from GET /workers in the Staffing service. |
workday_payroll_get_values_taxratesgroup_companyinstances
Retrieves instances that can be used as values for other endpoint parameters in this service. <b>Secured by:</b> Process: Tax Filing/W-2s (Run) - USA <b>Scope:</b> USA Payroll Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | integer | No | — | The maximum number of objects in a single response. The default and maximum is 1000. |
offset | integer | No | — | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
search | string | No | — | A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string. |
workday_payroll_get_values_taxratesgroup_stateinstances
Retrieves instances that can be used as values for other endpoint parameters in this service. <b>Secured by:</b> Process: Tax Filing/W-2s (Run) - USA <b>Scope:</b> USA Payroll Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | integer | No | — | The maximum number of objects in a single response. The default and maximum is 1000. |
offset | integer | No | — | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
search | string | No | — | A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string. |
workday_payroll_patch_payrollinputs_by_id
Partially updates an existing payroll input instance. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The Workday ID of the resource. |
adjustment | boolean | No | — | If true, the input is for an adjustment as opposed to an override. |
comment | string | No | — | The text comment for this input. |
currency | object | No | — | The currency for the payroll input. If no currency exists, the system assumes the Pay Group currency. The Pay Group currency is derived from the default currency for the Pay Group country. |
descriptor | string | No | — | The display name of the instance |
endDate | string | No | — | The end date after which this input does not apply. |
fieldEditability | string | No | — | The editability status indicating the fields that can be updated in the payroll input request. Possible values: all, none, endDateOnly |
id | string | No | — | Workday Id or Reference Id of the instance. |
inputDetails | any[] | No | — | The details for this payroll input. |
ongoing | boolean | No | — | If true, the payroll input is ongoing. |
payComponent | object | No | — | The pay component for this payroll input. |
position | object | No | — | The worker’s position the payroll input applies to if Multi Job Payroll is used. |
runCategories | any[] | No | — | The run category for the payroll input. |
startDate | string | No | — | The start date before which this input does not apply. |
worker | object | No | — | The worker for this payroll input. |
worktags | any[] | No | — | The worktags associated with the payroll input. |
workday_payroll_post_payrollinputs
Creates payroll inputs. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
adjustment | boolean | No | — | If true, the input is for an adjustment as opposed to an override. |
comment | string | No | — | The text comment for this input. |
currency | object | No | — | The currency for the payroll input. If no currency exists, the system assumes the Pay Group currency. The Pay Group currency is derived from the default currency for the Pay Group country. |
descriptor | string | No | — | The display name of the instance |
endDate | string | No | — | The end date after which this input does not apply. |
fieldEditability | string | No | — | The editability status indicating the fields that can be updated in the payroll input request. Possible values: all, none, endDateOnly |
id | string | No | — | Workday Id or Reference Id of the instance. |
inputDetails | any[] | No | — | The details for this payroll input. |
ongoing | boolean | No | — | If true, the payroll input is ongoing. |
payComponent | object | No | — | The pay component for this payroll input. |
position | object | No | — | The worker’s position the payroll input applies to if Multi Job Payroll is used. |
runCategories | any[] | No | — | The run category for the payroll input. |
startDate | string | No | — | The start date before which this input does not apply. |
worker | object | No | — | The worker for this payroll input. |
worktags | any[] | No | — | The worktags associated with the payroll input. |
workday_payroll_post_taxrates
Creates a single or a collection of Company SUI Rates. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
applicableRate | string | No | — | The tax override rate for company tax reporting. |
companyInstance | object | Yes | — | The company object for company tax reporting. |
ein | string | No | — | The payroll tax authority EIN field for company tax reporting. |
endDate | string | No | — | The end date for company tax reporting. |
exempt | boolean | No | — | If true, the SUI rate is exempt. |
id | string | No | — | Workday Id or Reference Id of the instance. |
startDate | string | Yes | — | The start date for company tax reporting. |
stateInstance | object | Yes | — | The payroll tax authority object for company tax reporting. |
taxCode | string | Yes | — | The deduction for company tax reporting. |

